

cat >test.c <<ENDEND
#include <math.h>
#include "gpkieee754.h"
int main(int argc, char **argv)
{
 double x = 0;
 return !isnormal(x);
}
ENDEND

if make -f makefile test 1>&2 && test 1>&2
then
  echo "FINITE OK"
else
  cat <<ENDEND
H
H	extern "C" int isnormal(double);
H
C
C#define _GNU_SOURCE
C#include <math.h>
C
Cextern "C" int finite(double)
C{
C	return (fpclassify (x) == FP_NORMAL);
C}
C
ENDEND
fi
